//ABOE scripts | All Rights Reserved unless otherwise explicitly stated.
//
//Information.
//This removes the crafting recipes for problematic items.
//
//Scripted by Peter.
//Last edited by Peter 09.04.2022 (EU date format) (Initial version)
//Last edited by Peter 23.04.2022 (EU date format) (Added specific named fluids from allthemodium and Chisels & Bits tape measure due to crashing)
//Last edited by <name> <date> (EU date format) (Changelog).


	//Hide JEI Items
	
	//Hide all the Allthemodium items
	onEvent('jei.hide.items', event => {
		event.hide(/allthemodium:.*/) 
		event.hide('chiselsandbits:measuring_tape')
	})
	

	//Hide JEI Fluids

	onEvent('jei.hide.fluids', event => {
		// Doesn't actually work :/
		event.hide(/allthemodium:.*/) 

		// Hide Molten Fluids
		event.hide('allthemodium:molten_bluelava')
		event.hide('allthemodium:molten_allthemodium')
		event.hide('allthemodium:molten_unobtainium')
		event.hide('allthemodium:molten_vibranium')

		// Hide Vapor Fluids
		event.hide('allthemodium:vapor_allthemodium')
		event.hide('allthemodium:vapor_unobtainium')
		event.hide('allthemodium:vapor_vibranium')
	  })


	//Add JEI Items

	//re-add the teleporter pad
	onEvent('jei.add.items', event => {
		event.add(Item.of('allthemodium:teleport_pad'))
	  })
	